#
# Test Signature Class
#
# run from root of project
from libs.crypto_pub import Signature

msg = b'Hieee, this is a test =)'

sig = Signature()
sig_data = sig.genSig(msg)
print("sig_data=={}".format(sig_data))
isVerified = sig.verifySig(msg, sig_data)
print("isVerified=={}".format(str(isVerified)))
